%define name	nitrogen
%define version 1.5
%define release %mkrel 1

Summary: 	Nitrogen is a wallpaper setter
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		System/Configuration/Other
Source:		%{name}-%{version}.tar.gz
BuildRoot: 	%_tmppath/%name-%version-buildroot
URL: 		http://projects.l3ib.org/nitrogen/
BuildRequires:	libgtk+-x11-2.0_0 >= 2.10.0
BuildRequires:	libgtkmm2.4-devel gtk2-devel
BuildRequires:  gettext libxinerama1-devel

%description
Nitrogen is a background browser and setter for X. It is written in C++
using the gtkmm toolkit. It can be used in two modes: browser and recall.
It is multi-head friendly and can even work in GNOME.

%prep
%setup -q

%build

%configure2_5x 


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name}

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nitrogen
Comment=Change wallpapers
Exec=nitrogen /usr/share/wallpapers/
Icon=graphics_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;DesktopSettings;X-MandrivaLinux-System-Configuration;
EOF
#fix menu icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_menus

%postun
%clean_icon_cache hicolor
%clean_menus


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man1/%{name}.1.bz2

%changelog
* Fri Jan 22 2010 slick50 <lxgator@gmail.com> 1.5-1pclos2010
- 1.5

* Sun May 24 2009 Texstar <texstar@gmail.com> 1.4-2pclos2009
- fix rpm group

* Thu Jan 10 2008 KDulcimer <kdulcimer@gmail.com> 1.2-1tinyme2008
- 1.2

* Tue Nov 27 2007 KDulcimer <kdulcimer@gmail.com> 1.0-3pclos_tinyme2007
- Adjusted Build and BuildRequires

* Thu Nov 15 2007 KDulcimer <kdulcimer@gmail.com> 1.0-2pclos_tinyme2007
- Added menu entry

* Tue Oct 2 2007 KDulcimer <kdulcimer@gmail.com> 1.0-1pclos_tinyme2007
- Build for TinyMe/PCLinuxOS 2007
